function display_all_signals(p, signals, betas)
% display_all_signals(p, signals, betas)
% displays a signal approximation p (shown in black) constructed from one
% of three different sets of beta values (input betas is 1, 2, or 3), 
% superimposed on three signal time-series shown in different colors
    
figure('units','normalized','position',[0 0 1 0.5]);
hold on
plot(signals(1,:),'-','color',[255 153 0]/255,'linewidth',2.5);
plot(signals(2,:),'-','color',[0 204 204]/255,'linewidth',2.5);
plot(signals(3,:),'-','color',[153 0 153]/255,'linewidth',2.5);
plot(p, '-.k','linewidth',3.5);

legend({'A', 'B', 'C', ['#', num2str(betas)]},'fontsize',16,'location','southeast','box','off');
title(['Approximation #', num2str(betas)],'fontsize',18,'fontweight','bold');
xlabel('Time','fontsize',16);
ylabel('Signal intensity','fontsize',16);
set(gca,'ylim',[110 119],'fontsize',16);
box off

end