function display_error_signal(p, signal, err, betas)
% display_error_signal(p, signal, error, betas)
% displays an approximation p and true signal superimposed on one graph,
% and the error between p and signal in a second graph - this function is 
% called with an approximation p created from one of three different sets 
% of beta values (input betas is 1, 2, or 3)
    
figure('units','normalized','position',[0 0 1 0.5]);

subplot(1,2,1)
hold on
plot(signal, '-.k', 'linewidth', 2.5);
plot(p, '-', 'color', [255,0,255]/255, 'linewidth', 2.5);
title(['Real signal and approximation #', num2str(betas)],'fontsize',18,'fontweight','bold');
legend({'Real signal', ['Approximation #', num2str(betas)]},'fontsize',18,'location','southeast','box','off');
ylabel('Signal intensity', 'fontsize', 18, 'fontweight', 'bold');
set(gca,'ylim',[113,119],'fontsize',18);
box off

subplot(1,2,2)
plot(err, '-k','linewidth',2);
title(['Errors from approximation #', num2str(betas)],'fontsize',18,'fontweight','bold');
ylabel('Error', 'fontsize', 18, 'fontweight','bold');
set(gca,'ylim',[-3 1],'fontsize',18);
box off